<a
  mat-icon-button
  class="close-button"
  [mat-dialog-close]="true"
  matTooltip="{{ matTooltipClose }}"
>
  <mat-icon>close</mat-icon>
</a>
<h2 mat-dialog-title>{{'Modifier Phase' | translate}}</h2>
<mat-dialog-content class="pb-3">
  <form [formGroup]="phaseForm">
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="text"
              matInput
              required
              [formControl]="phaseForm.controls['title']"
              placeholder="Titre"
            />
            <mat-error
              *ngIf="
                phaseForm.controls['title'].hasError('required') &&
                phaseForm.controls['title'].touched
              "
              >{{'Le titre est obligatoire.' | translate}}</mat-error
            >
            <mat-error
              *ngIf="
                phaseForm.controls['title'].hasError('minlength') &&
                phaseForm.controls['title'].touched
              "
              >{{'Le titre doit comporter au moins 3 caractères.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <mat-select
              placeholder="Status"
              [formControl]="phaseForm.controls['status']"
              required
            >
              <mat-option *ngFor="let s of status" [value]="s">{{
                s
              }}</mat-option>
            </mat-select>
            <mat-error
              *ngIf="
                phaseForm.controls['status'].hasError('required') &&
                phaseForm.controls['status'].touched
              "
              >{{'Le status est obligatoire.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>

    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field appearance="outline">
            <mat-label>{{'date de début'}}</mat-label>
            <input
              readonly
              matInput
              [formControl]="phaseForm.controls['startDate']"
              [matDatepicker]="startDate"
              [disabled]="isStartDateDisabled"
              (dateChange)="checkDate()"
              [min]="minStartDate"
              [max]="maxStartDate"
            />
            <mat-datepicker-toggle matSuffix [for]="startDate">
            </mat-datepicker-toggle>
            <mat-datepicker #startDate> </mat-datepicker>
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field appearance="outline">
            <mat-label>{{'date de fin'}}</mat-label>
            <input
              readonly
              matInput
              [formControl]="phaseForm.controls['endDate']"
              [matDatepicker]="endDate"
              [min]="minEndDate"
              (dateChange)="checkDate()"

            />
            <mat-datepicker-toggle matSuffix [for]="endDate">
            </mat-datepicker-toggle>
            <mat-datepicker #endDate> </mat-datepicker>
          </mat-form-field>
        </div>
      </div>
    </div>
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="100">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <textarea
              type="text"
              matInput
              [formControl]="phaseForm.controls['description']"
              placeholder="Description"
            ></textarea>
            <mat-error
              *ngIf="
                phaseForm.controls['description'].hasError('maxlength') &&
                phaseForm.controls['description'].touched
              "
              >{{'La description ne peut pas dépasser 120 caractères.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>
    <div align="end" fxLayoutGap="10px">
      <button
        mat-button
        (click)="submit()"
        mat-flat-button
        color="warn"
        [disabled]="!phaseForm.valid"
      >
        {{'Modifier' | translate}}
      </button>
      <button class="canceled" mat-button (click)="closeDialog()">
        {{'Annuler' | translate}}
      </button>
    </div>
  </form>
</mat-dialog-content>
